Package org.apache.catalina.tribes.util

## Class TcclThreadFactory

- java.lang.Object
- - org.apache.catalina.tribes.util.TcclThreadFactory

- All Implemented Interfaces:
    `java.util.concurrent.ThreadFactory`

      public class TcclThreadFactory
      extends java.lang.Object
      implements java.util.concurrent.ThreadFactory

  ThreadFactory implementation that creates threads with the thread context class loader set to the class loader that loaded this factory. It is intended to be used when tasks may be passed to executors when the web application class loader is set as the thread context class loader, such as in async session replication.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TcclThreadFactory()` |
    `TcclThreadFactory​(java.lang.String namePrefix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Thread` | `newThread​(java.lang.Runnable r)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TcclThreadFactory

          public TcclThreadFactory()

    - #### TcclThreadFactory

          public TcclThreadFactory​(java.lang.String namePrefix)

  - ### Method Detail

    - #### newThread

          public java.lang.Thread newThread​(java.lang.Runnable r)

      Specified by:
        `newThread` in interface `java.util.concurrent.ThreadFactory`